Bug 735986 - VDSM - Storage: getDeviceList returns unuseable LUNs
Summary: VDSM - Storage: getDeviceList returns unuseable LUNs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 3.3.4
Assignee: Dan Kenigsberg
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 11:20 UTC by Daniel Paikov
Modified: 2016-02-10 16:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-03 12:25:00 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Daniel Paikov 2011-09-06 11:20:20 UTC
getDeviceList sometimes returns partitioned LUNs as if they were non-partitioned. This is because getDeviceList polls the host's kernel's cache instead of the storage itself. Reboot of host solves this issue and makes getDeviceList stop reporting the phantom devices. As discussed with ilvovsky.

Comment 2 Dan Kenigsberg 2011-09-06 12:44:09 UTC
Please write down how this can be reproduced, even if Igor knows this info.

Moving to upstream as this is not urgent for rhev-3.0.

Comment 3 Itamar Heim 2013-02-03 12:25:00 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.